<?php
require("../../include/variables.php");
require("../../include/init.php");

if (!isset($_SESSION['userID'])) {
    header("Location: /login?p=about/doc.php");
    die("Seuls les utilisateurs connectés peuvent consulter ces documents");
}


require("../../include/main-functions.php");
require("../../include/panels.php");
?>

<!DOCTYPE html>
<html lang="fr">

    <head>
        <?php fillHead($rootPageURL, "A propos - " . $pageName, $darkTheme, $lightTheme);?>
        <style>
            .documents {
                margin-top: 4em;
                display: flex;
                flex-wrap: wrap;
                justify-content: space-between;
                align-items: flex-start;
                padding: 10px;
                box-sizing: border-box;
            }
            .doc {
                flex: 1 1 calc(33.333% - 20px); /* Trois éléments par ligne avec un espace de 20px */
                margin: 2em 0.5em;
                box-sizing: border-box; /* Inclut le padding et la marge dans la largeur totale des éléments */
            }
            .doc img {
                height: 20em;
                border-radius: 5px;
            }
            @media(max-width: 750px) {
                .doc img {
                    height: 15em;
                }
            }
        </style>
    </head>

    <body class="body">

        <header>
            <div class="panel-content">
                <?php fillHeader($rootPageURL, $headerTitle, $headerSubtitle, $social);?>
            </div>
        </header>

        <nav>
            <div class="panel-content">
                <?php fillNav($rootPageURL);?>
            </div>
        </nav>

        <main>
            <div class="content">
                <h1>Espace documentaire</h1>
                <div class="documents">
                    <div class="doc">
                        <a href="./docs/pdf/statuts-e59-uvsq.pdf" target="_blank">
                            <h3>Statuts E59-UVSQ</h3>
                            <img src="./docs/img/statuts-e59-uvsq.png">
                        </a>
                    </div>
                    <div class="doc">
                        <a href="./docs/pdf/PV-AG1-E59-UVSQ-signe.pdf" target="_blank">
                            <h3>PV AG1 E59-UVSQ</h3>
                            <img src="./docs/img/PV-AG1-E59-UVSQ-signe.png">
                        </a>
                    </div>
                    <div class="doc">
                        <a href="./docs/pdf/brand-guidelines-e59.pdf" target="_blank">
                            <h3>E59 Brand Guidelines</h3>
                            <img src="./docs/img/brand-guidelines-e59.png">
                        </a>
                    </div>
                </div>
            </div>
        </main>
        <footer>
            <div class="panel-content">
                <?php fillFooter($footerText);?>
            </div>
        </footer>
    </body>
</html>